# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Static Public Member Functions

# vl::TriangleStripGenerator Class Reference

The TriangleStripGenerator class is used to substitute lists of triangles or quads with triangle strips. More...

`#include <TriangleStripGenerator.hpp>`

List of all members.

## Static Public Member Functions

static void | stripfy (Geometry *geom, int cache_size=22, bool merge_strips=true, bool remove_doubles=true, bool substitute_quads=true)

## Detailed Description

The TriangleStripGenerator class is used to substitute lists of triangles or quads with triangle strips.

Definition at line 44 of file TriangleStripGenerator.hpp.

## Member Function Documentation

void TriangleStripGenerator::stripfy | ( | Geometry * | geom,
|  | int | cache_size = `22`,
|  | bool | merge_strips = `true`,
|  | bool | remove_doubles = `true`,
|  | bool | substitute_quads = `true`
| ) |  | `[static]`

Definition at line 73 of file TriangleStripGenerator.cpp.

References vl::Collection< T >::at(), vl::Geometry::drawCalls(), vl::Collection< T >::erase(), vl::ref< T >::get(), vl::Geometry::mergeTriangleStrips(), vl::PT_TRIANGLE_STRIP, vl::PT_TRIANGLES, vl::Collection< T >::push_back(), vl::DoubleVertexRemover::removeDoubles(), and vl::Collection< T >::size().

Referenced by vl::GeometryLoadCallback::operator()().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/TriangleStripGenerator.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/TriangleStripGenerator.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:55.
Permission is granted to use this page to write and publish articles regarding Visualization Library.